package com.kmall.schedule.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 购买商品生成销售分配记录统计，渠道销售统计实体
 * 表名 mk_dist_sell_statis
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-04-09 18:04:46
 */
public class MkDistSellStatisEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Integer id;
    /**
     * 分销渠道名称
     */
    private String distFlag;
    /**
     * 所属三方商户
     */
    private Integer thirdMerchSn;
    /**
     * 所属供应商
     */
    private Integer supplierId;
    /**
     * 商品所属分销商id
     */
    private Integer distId;
    /**
     * 商品id
     */
    private String goodsId;
    /**
     * 商品价格
     */
    private BigDecimal goodsPrice;
//    /**
//     * 分配方式，【alloc_type，00:比例，10:金额】
//     */
//    private String allocType;
    /**
     * 支出分销商id
     */
    private Integer expendDistId;
    /**
     * 支出分销商金额【点数/金额】，公式：商品价格*设置点数/金额
     */
    private BigDecimal expendDistPrice;
    /**
     * 支出分销商等级 1 一级，2 二级，3 三级
     */
    private String expendDistLevel;
    /**
     * 来源
     */
    private String expendSource;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private String orderSn;

    private String distChnlId;

    private Integer userId;

    private Integer orderGoodsId;

    private Integer storeId;

    private Integer sellAllocHistoryId;

    public Integer getSellAllocHistoryId() {
        return sellAllocHistoryId;
    }

    public void setSellAllocHistoryId(Integer sellAllocHistoryId) {
        this.sellAllocHistoryId = sellAllocHistoryId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getOrderGoodsId() {
        return orderGoodsId;
    }

    public void setOrderGoodsId(Integer orderGoodsId) {
        this.orderGoodsId = orderGoodsId;
    }

    public String getDistChnlId() {
        return distChnlId;
    }

    public void setDistChnlId(String distChnlId) {
        this.distChnlId = distChnlId;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    /**
     * 设置：编号
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：编号
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：分销渠道名称
     */
    public void setDistFlag(String distFlag) {
        this.distFlag = distFlag;
    }

    /**
     * 获取：分销渠道名称
     */
    public String getDistFlag() {
        return distFlag;
    }
    /**
     * 设置：所属三方商户
     */
    public void setThirdMerchSn(Integer thirdMerchSn) {
        this.thirdMerchSn = thirdMerchSn;
    }

    /**
     * 获取：所属三方商户
     */
    public Integer getThirdMerchSn() {
        return thirdMerchSn;
    }
    /**
     * 设置：所属供应商
     */
    public void setSupplierId(Integer supplierId) {
        this.supplierId = supplierId;
    }

    /**
     * 获取：所属供应商
     */
    public Integer getSupplierId() {
        return supplierId;
    }
    /**
     * 设置：商品所属分销商id
     */
    public void setDistId(Integer distId) {
        this.distId = distId;
    }

    /**
     * 获取：商品所属分销商id
     */
    public Integer getDistId() {
        return distId;
    }
    /**
     * 设置：商品id
     */
    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    /**
     * 获取：商品id
     */
    public String getGoodsId() {
        return goodsId;
    }
    /**
     * 设置：商品价格
     */
    public void setGoodsPrice(BigDecimal goodsPrice) {
        this.goodsPrice = goodsPrice;
    }

    /**
     * 获取：商品价格
     */
    public BigDecimal getGoodsPrice() {
        return goodsPrice;
    }
//    /**
//     * 设置：分配方式，【alloc_type，00:比例，10:金额】
//     */
//    public void setAllocType(String allocType) {
//        this.allocType = allocType;
//    }
//
//    /**
//     * 获取：分配方式，【alloc_type，00:比例，10:金额】
//     */
//    public String getAllocType() {
//        return allocType;
//    }
    /**
     * 设置：支出分销商id
     */
    public void setExpendDistId(Integer expendDistId) {
        this.expendDistId = expendDistId;
    }

    /**
     * 获取：支出分销商id
     */
    public Integer getExpendDistId() {
        return expendDistId;
    }
    /**
     * 设置：支出分销商金额【点数/金额】，公式：商品价格*设置点数/金额
     */
    public void setExpendDistPrice(BigDecimal expendDistPrice) {
        this.expendDistPrice = expendDistPrice;
    }

    /**
     * 获取：支出分销商金额【点数/金额】，公式：商品价格*设置点数/金额
     */
    public BigDecimal getExpendDistPrice() {
        return expendDistPrice;
    }
    /**
     * 设置：支出分销商等级 1 一级，2 二级，3 三级
     */
    public void setExpendDistLevel(String expendDistLevel) {
        this.expendDistLevel = expendDistLevel;
    }

    /**
     * 获取：支出分销商等级 1 一级，2 二级，3 三级
     */
    public String getExpendDistLevel() {
        return expendDistLevel;
    }
    /**
     * 设置：来源
     */
    public void setExpendSource(String expendSource) {
        this.expendSource = expendSource;
    }

    /**
     * 获取：来源
     */
    public String getExpendSource() {
        return expendSource;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
